package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * AP dropouts timing list
 */
@ApiModel(description = "AP dropouts timing list")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class Drop   {
  @JsonProperty("time")
  private Long time;

  @JsonProperty("dropTimes")
  private Integer dropTimes;

  @JsonProperty("dropRate")
  private Double dropRate;

  public Drop time(Long time) {
    this.time = time;
    return this;
  }

  /**
   * Sampling time second
   * @return time
  */
  @ApiModelProperty(value = "Sampling time second")


  public Long getTime() {
    return time;
  }

  public void setTime(Long time) {
    this.time = time;
  }

  public Drop dropTimes(Integer dropTimes) {
    this.dropTimes = dropTimes;
    return this;
  }

  /**
   * Number of drop packets within one hour, such as 60 : 60%
   * @return dropTimes
  */
  @ApiModelProperty(value = "Number of drop packets within one hour, such as 60 : 60%")


  public Integer getDropTimes() {
    return dropTimes;
  }

  public void setDropTimes(Integer dropTimes) {
    this.dropTimes = dropTimes;
  }

  public Drop dropRate(Double dropRate) {
    this.dropRate = dropRate;
    return this;
  }

  /**
   * AP drop packet rate within one hour
   * @return dropRate
  */
  @ApiModelProperty(value = "AP drop packet rate within one hour")


  public Double getDropRate() {
    return dropRate;
  }

  public void setDropRate(Double dropRate) {
    this.dropRate = dropRate;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Drop drop = (Drop) o;
    return Objects.equals(this.time, drop.time) &&
        Objects.equals(this.dropTimes, drop.dropTimes) &&
        Objects.equals(this.dropRate, drop.dropRate);
  }

  @Override
  public int hashCode() {
    return Objects.hash(time, dropTimes, dropRate);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Drop {\n");
    
    sb.append("    time: ").append(toIndentedString(time)).append("\n");
    sb.append("    dropTimes: ").append(toIndentedString(dropTimes)).append("\n");
    sb.append("    dropRate: ").append(toIndentedString(dropRate)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

